TZDIFF(1)

NAME
tzdiff - displays timezone differences with localtime.

SYNOPSIS
tzdiff [-0lvHN] [-n count] [-f format] [-t start] timzone [timezone ...] [count] [0]

DESCRIPTION
The tzdiff utility displays the localtime of the designated timezone and yours.

The tzdiff utility needs at least one of timezone name, such as “Asia/Tokyo”. If the argument is “Asia” then tzdiff displays the timezones of Asia. You can easy to choose it from the result.

The tzdiff supports the complition with name of timezone for useful. For example, “Tok” means “Asia/Tokyo”.

The options are as follows:

-h  Show usage.

-0  Round down to hour. 0(zero) may be specified as the last argument.

-l  Display full timezone name (region/city), only city in default.

-n count
    Number of hours. Default is 10. It may be specified as the last argument.

-f format
    Output format of time. It uses output format of date(1)

-t start
    Specify the start time. For the GNU date command, you can specify a flexible format. Otherwise, it supports one of "YYYY-mm-ddTHH:HH[Z]", "YYYYmmddTHHMM[Z]" or "YYYYmmddHHMM[Z]", adding "Z" means UTC.

-v  Show version of tzdiff.

-H  Scripting mode with timezone name. In scripting mode, field separator is TAB instead of space.

-HH Scripting mode without timezone name.

-N  Display without local timezone.

EXAMPLES
These exsamples are in JST.

The command:

    tzdiff

will display the result of “ls -F /usr/share/zoneinfo”:

    Africa/       Australia/    Etc/          MST           WET
    America/      CET           Europe/       MST7MDT       posixrules
    --- snip --- snip --- snip ---
    Asia/         EST           Indian/       SystemV/
    Atlantic/     EST5EDT       MET           UTC

The command:

    tzdiff Eu

will display the result of “ls -F /usr/share/zoneinfo/Europe”:

    Europe/Amsterdam        Europe/Kiev             Europe/Sarajevo
    Europe/Andorra          Europe/Kirov            Europe/Saratov
    --- snip --- snip --- snip ---
    Europe/Jersey           Europe/Samara
    Europe/Kaliningrad      Europe/San_Marino

The command:

    tzdiff Europe/Amsterdam

will display the time of CET and localtime.:

    Amsterdam
    2018-12-19 14:52 CET    2018-12-19 22:52 JST
    2018-12-19 15:52 CET    2018-12-19 23:52 JST
    --- snip --- snip --- snip ---
    2018-12-19 22:52 CET    2018-12-20 06:52 JST
    2018-12-19 23:52 CET    2018-12-20 07:52 JST

The command:

    tzdiff Lond New_ 0 3

will display:

    London                  New_York
    2018-12-20 01:00 GMT    2018-12-19 20:00 EST    2018-12-20 10:00 JST
    2018-12-20 02:00 GMT    2018-12-19 21:00 EST    2018-12-20 11:00 JST
    2018-12-20 03:00 GMT    2018-12-19 22:00 EST    2018-12-20 12:00 JST

SEE ALSO
date(1), strftime(3), strptime(3)

tzdiff on Github: https://github.com/belgianbeer/tzdiff

AUTHOR
Written by Masato Minda